form {
  position: relative;
}
form ol li {
  margin: 10px 0;
}
form .error-msg {
  border: 1px solid;
  clear: both;
  margin: 0.69em 0;
  padding: 0.5em 1em;
  background-color: #FFCECF;
  border-color: #f00;
}
form .error-msg legend {
  border: 1px solid;
  padding: 0.2em 0.5em;
  background-color: #FFCECF;
  border-color: #f00;
  box-shadow: 0 0 5px #f00;
}
form .error-msg ul {
  list-style-type: square;
  margin-left: 20px;
  overflow: visible;
}
form .error-msg ul li {
  clear: both;
  float: none;
  list-style-image: none;
  padding: 2px 0;
  width: auto;
}
form li.error input, form li.error select, form li.error textarea {
  font-weight: normal;
  border-color: #f00;
}
form li.error label {
  color: #f00;
}
form .wauto {
  width: auto;
}
form .full {
  width: 98%;
}

fieldset {
  position: relative;
  text-align: left;
  padding: 0;
  border: none;
}

ol,
ul {
  list-style-type: none;
}

label {
  margin: 0;
  padding: 0;
}

label, input[type=checkbox], input[type=radio], input[type=submit], button {
  cursor: pointer;
}

input[type=text], input[type=password] {
  cursor: text;
}

input[type=hidden] {
  display: none;
}

input[disabled=disabled] {
  background-color: #DADADD;
  cursor: auto;
}

button.auto, a.auto:link, a.auto:visited, a.auto:focus, a.auto:hover, a.auto:active {
  width: auto;
}

input[type=text]:focus:invalid,
input[type=email]:focus:invalid,
input[type=url]:focus:invalid,
input[type=date]:focus:invalid,
input[type=tel]:focus:invalid,
input[type=number]:focus:out-of-range {
  border-color: #f00;
}